//
//  FWScene.m
//  Fiona's Walk
//
//  Created by Kyle Reynolds on 2/15/12.
//  Copyright (c) 2012 The Canvas Foundation. All rights reserved.
//

#import "FWScene.h"

@implementation FWScene

-(id)init: (NSString*)withSceneId {
    on = NO;
    default_clock = [NSTimer scheduledTimerWithTimeInterval:.1 target:self selector:@selector(addMs) userInfo:nil repeats:YES];
    sceneId = [[NSString alloc] initWithString:withSceneId];
    at = 0;
    
    return self;
}

@synthesize sceneId;
@synthesize at;

-(void)run {
    first_run = false;
}
-(void)addMs {
    at++;
    
}
-(BOOL)isOn {
    return on;
}

-(BOOL)isOff {
    return !on;
}

-(void)on {
    on = YES;
}
-(void)off {
    on = NO;
}

@end
