//
//  FWTestScene.m
//  Fiona's Walk
//
//  Created by Kyle Reynolds on 2/19/12.
//  Copyright (c) 2012 The Canvas Foundation. All rights reserved.
//
/*
#import "FWTestScene.h"
#import "full/FWSatchel.h"
#import "full/FWSubtitle.h"
#import "full/FWCrowdControl.h"


@implementation FWTestScene

-(id)init {
    self = [super init:@"test_scene"];
    return self;
}

-(void)run {
    [super run];
    printf("yo yo yo wsup;");
    
    //The scenario: A crate is above a hole. In the hole is a ladder. Near the ladder are some citizens.
    
    if(first_run) {
        //FWCut is responsible for transitions between areas. toArea with player positions takes the player character somewhere. without will show NPCs of sorts.
        [FWCut toMap:@"test_area"];
        
        [FWSatchel add:@"shove"];
        [FWCrowdControl generate:40];
        
        //Fly introduces a note into the area that the player must get on their own.
        [FWSatchel fly:@"walk" difficulty:10];
        
        
    }
    
    //speaker and show are placeholders. In the final version of the game, [FWSubtitle scene:@"1000" line:@"2000" duration:5] will be used.
    
    if(at == 7000)
        [FWSubtitle speaker:@"citizens" show:@"Help! Get us out of here!"];
    //Theoretical sticky note location check:
    //FWSatchel delegates to FWXxxxxx and gets a "nearest" estimate from FWCollision between the @"shove" and an object with the attribute:@"shovable" is:@"true". This could create interesting situations that consider all sorts of attributes in a Sticky Note check.
    
    if([FWSatchel note:@"shove" isOn:@"shovable" equals:@"true"]) {
        //Have Fiona run over to that object and start pushing it.
        [FWShove between:@"name" is:@"fiona" and:@"note" is:@"shove"];
    
    }
    
}
@end
