//
//  FWEntity.h
//  Fiona's Walk
//
//  Created by Kyle Reynolds on 10/25/11.
//  Copyright (c) 2011 The Canvas Foundation. All rights reserved.
//
// instance/name -> prototype -> attributes

#import <Foundation/Foundation.h>

@interface FWEntity: NSObject { 
    NSString* working_directory;
    
    NSMutableDictionary* attributes;    
    NSString* prototype;
    NSString* name;
    NSString* file;
    
    NSNumberFormatter* formatter;
    NSNumber* numberstore;
}

-(NSString*)getFileFromName:(NSString*)userMasterName;
-(id)initWithName:(NSString*)userEntityName;

-(void)setAttribute: (NSString*)userAttribute to:(NSString*)userValue;
-(BOOL)attribute:(NSString*)userAttribute is:(NSString*)value;

@property (readonly) NSString* prototype;
@property (readonly) NSString* name;

@end;