//
//  FWWorld.h
//  Fiona's Walk
//
//  Created by Kyle Reynolds on 3/2/12.
//  Copyright (c) 2012 The Canvas Foundation. All rights reserved.
//

#import <Foundation/Foundation.h>

@class FWEntity;

@interface FWWorld : NSObject {
    NSMutableArray* entity_list;
}

+(id)init;
+(FWWorld*)sharedWorld;

-(void)add: (FWEntity*)userEntity;

+(BOOL)load;
+(BOOL)save;
+(BOOL)append;


//The entity family returns "I'm Feeling Lucky" of entities with the exact attributes: The entit ies family returns a list.

-(FWEntity*)entityOfAttribute:(NSString*)userAttribute equals:(NSString*)userMatchValue;
-(FWEntity*)entityOfAttributes:(NSDictionary*)userAttributeList;
    
-(NSMutableArray*)entitiesOfAttribute:(NSString*)userAttribute equals:(NSString*)userMatchValue;
-(NSMutableArray*)entitiesOfAttributes:(NSDictionary*)userAttributeList;


@end
