//
//  FWScene.h
//  Fiona's Walk
//
//  Created by Kyle Reynolds on 2/15/12.
//  Copyright (c) 2012 The Canvas Foundation. All rights reserved.
//

#import <Foundation/Foundation.h>

@interface FWScene: NSObject {
    BOOL first_run;
    BOOL on;
    BOOL done;
    
    int at;
    
    NSString* sceneId;
    NSTimer* default_clock;
}


@property (readonly, retain) NSString* sceneId;
@property (nonatomic, assign) int at;

-(id)init: (NSString*)withSceneId;

-(void)run;
-(void)addMs;

-(bool)isOn;
-(bool)isOff;

-(void)on;
-(void)off;

@end
