//
//  FWWorld.m
//  Fiona's Walk
//
//  Created by Kyle Reynolds on 3/2/12.
//  Copyright (c) 2012 The Canvas Foundation. All rights reserved.
//

#import "FWWorld.h"
#import "FWEntity.h"

@implementation FWWorld

-(id)init {
    entity_list = [[NSMutableArray alloc] init];
}

+(FWWorld*)sharedWorld {
    static FWWorld* sharedInstance;
    
    @synchronized (self) {
        if(!sharedInstance) {
            sharedInstance = [[self alloc] init];
        }
    }
    return sharedInstance;
}

-(void)add:(FWEntity*)userEntity {
    [entity_list addObject:userEntity];
}

+(BOOL)load {
    
}

+(BOOL)save {
    
}

+(BOOL)append {
    
}

-(FWEntity*)entitiesOfAttribute:(NSString *)userAttribute equals:(NSString *)userMatchValue {
    for(id entity in entity_list) {
        if([entity attribute:userAttribute is:userMatchValue])
            [entity_list addObject:entity];
    }
}
@end
